uml2.stereotype() | Additional XPath Functions
--- | ---

## uml2.stereotype

Access a named UML2 stereotype on a UML2 element. If the named stereotype is not applied to the element then an emtpy result is returned.

Function Summary
minimal arguments | Object uml2.stereotype (String qualified-name)
all arguments | Object uml2.stereotype (Object element, String qualified-name)

Required Arguments
String qualified-name | the qualified name of the stereotype being accessed. Eg. Standard::ModelLibrary

Optional Arguments
Object element | The UML2 upon which the stereotype is applied. If omitted, the XPath context object is used.

Example
uml2.stereotype(/Model, 'Standard::ModelLibrary') return the ModelLibrary stereotype, if it is applied to the /Model element //Package[uml2.stereotype('Standard::framework')] matches all Package objects in a model with the 'Standard::framework' stereotype applied

© Copyright IBM Corporation 2000, 2006. All Rights Reserved.